package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zanxiang.manage.domain.params.GameUserRoleListParam;
import com.zanxiang.manage.domain.vo.GameUserRoleListVO;

/**
 * @author : lingfeng
 * @time : 2022-07-01
 * @description : 玩家角色
 */
public interface GameUserRoleService {

    /**
     * 查询玩家角色列表
     *
     * @param param : 角色列表查询参数
     * @return : 玩家角色单页信息
     */
    IPage<GameUserRoleListVO> list(GameUserRoleListParam param);
}
