package com.zanxiang.sdk.service;

import com.zanxiang.sdk.domain.dto.PlatformOrderDTO;

/**
 * 订单履约逻辑
 *
 * @author xufeng
 * @date 2022/6/27 11:14
 */
public interface PerformOrderService {

    /**
     * cp方履约推送
     *
     * @param orderInfo
     */
    Boolean pushCp(PlatformOrderDTO orderInfo);

    /**
     * 生成订单宽表
     *
     * @param orderInfo
     * @return
     */
    Boolean createOrderComplete(PlatformOrderDTO orderInfo);
}
